# Uses of Class
javax.management.remote.TargetedNotification

Packages that use TargetedNotification
Package
Description
javax.management.remote
Interfaces for remote access to JMX MBean servers.

## Uses of TargetedNotification in javax.management.remote

Methods in javax.management.remote that return TargetedNotification
Modifier and Type
Method
Description
`TargetedNotification[]`
NotificationResult.`getTargetedNotifications()`
Returns the notifications resulting from the query, and the listeners they correspond to.
Constructors in javax.management.remote with parameters of type TargetedNotification
Modifier
Constructor
Description
``
`NotificationResult(long earliestSequenceNumber, long nextSequenceNumber, TargetedNotification[] targetedNotifications)`
Constructs a notification query result.